Skip to main content
GET
/
api
/
datasets
/
{dataset_id}
/
overview
Dataset Overview
curl --request GET \
  --url https://api.example.com/api/datasets/{dataset_id}/overview \
  --header 'Authorization: Bearer <token>'
{
  "summaries": [
    {
      "id": "<string>",
      "scan_type": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "totals": {
        "total": 123,
        "mislabels": 123,
        "poison": 123,
        "outlier": 123,
        "flagged": 123,
        "bias": 0,
        "shortcut": 0
      }
    }
  ],
  "line_chart": [
    {
      "name": "<string>",
      "poisoning": 123,
      "mislabeling": 123,
      "outlier": 123,
      "vulnerabilities": 123,
      "bias": 0,
      "shortcut": 0,
      "amt": 0
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

dataset_id
string
required

Cookies

antidote_session
string | null

Response

Successful Response

summaries
DatasetScanSummary · object[]
required
line_chart
LineChartPoint · object[]
required